List Postgres slow query patterns
This endpoint is in beta. API contract is stable, and no breaking changes are expected in the future.
Returns aggregate metrics for the slowest query patterns observed on a Postgres service during the given time window. Use this to discover which queries dominate total execution time, CPU, I/O, or WAL generation.
Returns aggregate metrics for the slowest query patterns observed on a Postgres service during the given time window. Use this to discover which queries dominate total execution time, CPU, I/O, or WAL generation.
Authorizations
Use key ID and key secret obtained in ClickHouse Cloud console: https://clickhouse.com/docs/cloud/manage/openapi
Path Parameters
ID of the organization that owns the Postgres service.
ID of the requested Postgres service.
Query Parameters
Inclusive start of the time window (RFC 3339 date-time).
Exclusive end of the time window (RFC 3339 date-time).
Database name filter.
Database user filter.
Database operation filter (for example, SELECT, INSERT, UPDATE, DELETE, UTILITY).
Application name filter.
Field to sort results by.
total_duration, avg_duration, call_count, total_blks_read, total_cpu_time, error_count, max_duration, p50_duration, p95_duration, p99_duration, total_rows, total_shared_blks_hit, total_wal_bytes Sort order. One of asc or desc.
asc, desc Maximum number of results to return.
1 <= x <= 500Number of results to skip before returning.
x >= 0